﻿@using LAP.DomainModels.Models
@model IntegrationAuthModel
<div class="modal-dialog w-400px" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel"><span id="integration-partner"></span> Login</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <div class="modal-body">
            <form id="auth-frm">
                <input type="hidden" id="integration-partner-name" />
                <div class="form-group">
                    <label asp-for="Username"></label>
                    <input asp-for="Username" id="IntegrationUsername" class="form-control">
                    <span asp-validation-for="Username" class="text-danger"></span>
                </div>
                <div class="form-group mb-0">
                    <label asp-for="Password"></label>
                    <div class="input-group input-group-lg">
                        <input asp-for="Password" class="form-control form-control-lg placeholder-dark-75">
                        <div class="input-group-append"><button type="button" class="input-group-text w-60px asterisk" onclick="showHidePasswordAsterisk('Password', this)"><i class="far fa-eye text-primary"></i></button></div>
                    </div>
                    <span asp-validation-for="Password" class="text-danger"></span>
                </div>
            </form>
        </div>
        <div class="modal-footer">
            <button type="button" class="btn btn-primary font-weight-bold" id="btn-auth-integration">Login</button>
        </div>
    </div>
</div>